Support » Plugin: News Ticker Widget for Elementor » Extension not compatible with Elementor 3.6

  • samoreen

    (@samoreen)


    Hi,

    News Ticker uses a hard deprecated Elementor class (Elementor\Color_Scheme) which is no longer available. This causes any page using it to crash badly.

    Thanks for fixing this.

    Regards.

    Patrick

Viewing 8 replies - 1 through 8 (of 8 total)
  • anthonywoods

    (@anthonywoods)

    Hi,

    I’m also having the same issue since upgrading Elementor and Elementor Pro to 3.6 with the News Ticker Widget for Elementor. The website goes into a critical error state after the upgrade. The only solution is to deactivate the News Ticker Widget for Elementor plugin.

    We hope it’s a quick turnaround to fix the problem as our client absolutely loves the ticker plugin on their website.

    Any help would be much appreciated.

    Thread Starter samoreen

    (@samoreen)

    Hi,

    For the moment, the only way to temporarily fix the problem is to downgrade to version 3.5.6 of the Elementor core module.

    The “real” fix is to no longer use the Elementor\Color_Scheme class in News Ticker. Elementor\Color_Scheme is a hard deprecated class (soft deprecated since version 2.8 of Elementor).

    Plugin Author Aezaz Shaikh

    (@shaikhaezaz80)

    Hi There,

    Thank you for reporting the issue. I’ll test the plugin with latest Elementor and Pro plugins and release the updated version soon..

    Thanks,

    iahmadmahr88

    (@iahmadmahr88)

    thanks, Aezaz for this good plugin, but I confirm the issue and it’s happened on my install, Elementor pro latest version 3.6

    Fatal error: Uncaught Error: Class ‘Elementor\Scheme_Color’ not found in /home2/**Siteloaction**/wp-content/plugins/news-ticker-widget-for-elementor/elements/news-ticker-widget.php:187 Stack trace: #0 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/controls-stack.php(2280): Elementor\Elementor_NT_Widget->_register_controls() #1 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/controls-stack.php(494): Elementor\Controls_Stack->init_controls() #2 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/widget-base.php(177): Elementor\Controls_Stack->get_stack() #3 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/controls-stack.php(300): Elementor\Widget_Base->get_stack() #4 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/controls-stack.php(2369): Elementor\Controls_Stack->get_controls() #5 /home2/**Siteloaction**/wp-content/plugins/elementor/includes/base/controls-stack.ph in /home2/**Siteloaction**/wp-content/plugins/news-ticker-widget-for-elementor/elements/news-ticker-widget.php on line 187`

    hello , is there is a fix for this issue?

    thanks

    Hi @iahmadmahr88,

    I don’t think a fix has been released yet. The plugin page is still saying “Last updated: 6 months ago”.

    @shaikhaezaz80 It’s nearly been 2 weeks since the issue was first reported, are we closer to a fix?

    Thanks

    Plugin Author Aezaz Shaikh

    (@shaikhaezaz80)

    Hello,

    Yes, the fix is being implemented and in testing phase, I’ll release the update soon this week..

    Thanks for your co-operation on this

    @shaikhaezaz80 That’s it working with the latest version of Elementor, thank you 🙂

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.